weka.classifiers.trees.j48

## Class NBTreeModelSelection

- java.lang.Object
- - weka.classifiers.trees.j48.ModelSelection
  - - weka.classifiers.trees.j48.NBTreeModelSelection

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler

      public class NBTreeModelSelection
      extends ModelSelection

  Class for selecting a NB tree split.
  Version:
    $Revision: 10531 $
  Author:
    Mark Hall (mhall@cs.waikato.ac.nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NBTreeModelSelection(int minNoObj, Instances allData)` Initializes the split selection method with the given parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` Sets reference to training data to null.
    `java.lang.String` | `getRevision()` Returns the revision string.
    `ClassifierSplitModel` | `selectModel(Instances data)` Selects NBTree-type split for the given dataset.
    `ClassifierSplitModel` | `selectModel(Instances train, Instances test)` Selects NBTree-type split for the given dataset.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NBTreeModelSelection

          public NBTreeModelSelection(int minNoObj,
                                      Instances allData)

      Initializes the split selection method with the given parameters.
      Parameters:
        `minNoObj` - minimum number of instances that have to occur in at least two subsets induced by split
        `allData` - FULL training dataset (necessary for selection of split points).

  - ### Method Detail

    - #### cleanup

          public void cleanup()

      Sets reference to training data to null.

    - #### selectModel

          public final ClassifierSplitModel selectModel(Instances data)

      Selects NBTree-type split for the given dataset.
      Specified by:
        `selectModel` in class `ModelSelection`

    - #### selectModel

          public final ClassifierSplitModel selectModel(Instances train,
                                                        Instances test)

      Selects NBTree-type split for the given dataset.
      Overrides:
        `selectModel` in class `ModelSelection`

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Returns:
        the revision